import React from 'react';
import SortableItemMixin from '../SortableItemMixin';

import { Form, Input,Select,  Button, Checkbox, Radio, Tooltip, Icon } from 'antd';

const FormItem = Form.Item;
const Option = Select.Option;
const RadioGroup = Radio.Group;

const Radios = React.createClass({
	mixins: [SortableItemMixin],
	render() {
		return this.renderWithSortable(
			<div className="form-builder-item">
				<FormItem
				      label="Radio 单选框"
				      labelCol={{ span: 6 }}
				      wrapperCol={{ span: 18 }}
				    >
				      <RadioGroup defaultValue="b">
				        <Radio value="a">A</Radio>
				        <Radio value="b">B</Radio>
				        <Radio value="c">C</Radio>
				        <Radio value="d">D</Radio>
				      </RadioGroup>
				</FormItem>
			</div>
		)
	}
});

export default Radios;