import React from 'react';
import SortableItemMixin from '../SortableItemMixin';

import { Form, Input,Select,  Button, Checkbox, Radio, Tooltip, Icon } from 'antd';

const FormItem = Form.Item;
const Option = Select.Option;
const RadioGroup = Radio.Group;

const SelectElement = React.createClass({
	mixins: [SortableItemMixin],
	render() {
		return this.renderWithSortable(
			<div className="form-builder-item">
				 <FormItem
					      id="select"
					      label="Select 选择器"
					      labelCol={{ span: 6 }}
					      wrapperCol={{ span: 14 }}
					    >
			      <Select id="select" size="large" defaultValue="lucy" style={{ width: 200 }}>
			        <Option value="jack">jack</Option>
			        <Option value="lucy">lucy</Option>
			        <Option value="disabled" disabled>disabled</Option>
			      </Select>
			    </FormItem>
			</div>
		)
	}
});

export default SelectElement;