import React from 'react';
import SortableItemMixin from '../SortableItemMixin';

import { Form, Input, Select,  Button, Checkbox, Radio, Tooltip, Icon } from 'antd';

const FormItem = Form.Item;
const Option = Select.Option;
const RadioGroup = Radio.Group;

let TextInput = React.createClass({
	mixins: [SortableItemMixin],
	render() {
		return this.renderWithSortable(
			<div className="form-builder-item">
				<FormItem
			      id="control-input"
			      label="输入框"
			      labelCol={{ span: 6 }}
			      wrapperCol={{ span: 14 }}
			    >
			      <Input id="control-input" placeholder="Please enter..." />
			    </FormItem>
			</div>
		)
	}
});

TextInput.properties = {
	'label': {
		name: 'label',
		type: 'text',
		defaultValue: "输入框"
	},
	'labelCol': {
		name: 'labelCol',
		type: 'number',
		defaultValue: 6
	},
	'wrapperCol': {
		name: 'wrapperCol',
		type: 'number',
		defaultValue: 14
	}
}

export default TextInput;