import React from 'react';
import SortableItemMixin from '../SortableItemMixin';

import { Form, Input,Select,  Button, Checkbox, Radio, Tooltip, Icon } from 'antd';

const FormItem = Form.Item;
const Option = Select.Option;
const RadioGroup = Radio.Group;

let TextArea = React.createClass({
	mixins: [SortableItemMixin],
	render() {
		return this.renderWithSortable(
			<div className="form-builder-item">
				<FormItem
			      id="control-textarea"
			      label="文本域"
			      labelCol={{ span: 6 }}
			      wrapperCol={{ span: 14 }}
			    >
			      <Input type="textarea" id="control-textarea" rows="3"/>
			    </FormItem>
			</div>
		)
	}
});

TextArea.properties = [{
	name: "label",
	type: 'text'
}, {
	name: 'rows',
	type: 'number'
}, {
	name: 'labelCol',
	type: 'number'
}, {
	name: 'wrapperCol',
	type: 'number'
}]

export default TextArea;