import React from 'react';
import {Button} from 'antd';
import Stencils from './Stencils';
import Previewer from './Previewer';
import PropertiesEditor from './PropertiesEditor';

const FormBuilder = React.createClass({
	render() {
		return (
			<div className="form-builder">
				<div className="form-builder__toolbox">
					<h3 className="form-builder__section-title">组件列表</h3>
					<Stencils dispatch={this.props.dispatch}/>
				</div>
				<div className="form-builder__previewer">
					<h3 className="form-builder__section-title">预览</h3>
					<Previewer {...this.props}/>
				</div>
				<div className="form-builder__property-editor">
					<h3 className="form-builder__section-title">属性</h3>
					<PropertiesEditor />
				</div>
			</div>
		)
	}
});

export default FormBuilder;