const nestedSchema = {
	title: '嵌套表单',
	id: '7qwea9q23rasf',
	description: '嵌套类似的表单',
	name: 'root',
	type: 'Object',
	elements: [{
		name: 'keyObj',
		type: 'Object',
		label: '对象输入',
		elements: [{
			type: 'TextInput',
			name: 'inputText'
		}, {
			type: 'Textarea',
			name: 'inputTextArea'
		}]
	}, {
		name: 'keyArr',
		type: 'Array',
		label: '数组列表',
		itemSchema: {
			type: 'Object',
			elements: [{
				type: 'TextInput',
				name: 'inputText',
			}, {
				type: 'Textarea',
				name: 'inputTextArea',
			}, {
				type: 'Array',
				name: 'subArr',
				itemSchema: {
					type: 'TextInput',
				}
			}]
		}
	}]
}

export default nestedSchema;