'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _objectPath = require('object-path');

var _objectPath2 = _interopRequireDefault(_objectPath);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * [flatten description]
 * @param  {[type]} toFlatten [description]
 * @param  {[type]} prefix    [description]
 * @return {[type]}           [description]
 */
function flatten(toFlatten, prefix) {
    var result = {};
    var traveseObject = function traveseObject(theObject, path) {
        if (!(typeof theObject === 'string') && theObject instanceof Array) {
            for (var i = 0; i < theObject.length; i++) {
                // var key = path + "[" + i + "]";
                var key = path + '.' + i;
                if (typeof theObject[i] === 'string') {
                    result[key] = theObject[i];
                } else {
                    traveseObject(theObject[i], key);
                }
            }
        } else {
            if (path.length > 0) {
                path = path + ".";
            }
            for (var prop in theObject) {
                if (theObject[prop] instanceof Object || theObject[prop] instanceof Array && !(typeof theObject[prop] === 'string' || theObject[prop] instanceof String)) traveseObject(theObject[prop], path + prop);else {
                    var key = path + prop;
                    result[key] = theObject[prop];
                }
            }
        }
    };
    traveseObject(toFlatten, prefix);
    return result;
}
exports.default = _extends({}, _objectPath2.default, {
    flatten: flatten
});