import React from 'react';
import SortableItemMixin from '../SortableItemMixin';

import { Form, Input,Select,  Button, Checkbox, Radio, Tooltip, Icon } from 'antd';
const FormItem = Form.Item;
const Option = Select.Option;
const RadioGroup = Radio.Group;

const Checkboxes = React.createClass({
	mixins: [SortableItemMixin],
	render() {
		return this.renderWithSortable(
			<div className="form-builder-item">
				<FormItem
				      label="Checkbox 多选框"
				      labelCol={{ span: 6 }}
				      wrapperCol={{ span: 18 }}
				    >
				      <Checkbox className="ant-checkbox-vertical">选项一</Checkbox>
				      <Checkbox className="ant-checkbox-vertical">选项二</Checkbox>
				      <Checkbox className="ant-checkbox-vertical" disabled>选项三（不可选）</Checkbox>
				</FormItem>
			</div>
		)
	}
});

export default Checkboxes;