const context = require.context('./', false, /\.jsx$/);
const elements = context.keys().reduce((memo, key) => {
  memo[key.match(/([^\/]+)\.jsx$/)[1]] = context(key).default;
  return memo;
}, {});

export default elements;