import React from 'react';
import FormElements from './FormElements';
import Sortable from './Sortable';

import { Form, Input,Select,  Button, Checkbox, Radio, Tooltip, Icon } from 'antd';
const FormItem = Form.Item;
const Option = Select.Option;
const RadioGroup = Radio.Group;

const Previewer = React.createClass({
	render() {
		return (
			<div className="form-previewer">
				<Form horizontal>
					<Sortable sensitivity={0} key={this.props.formItems.length} onSort={this.handleSort}>
						{this.renderItems()}  
			        </Sortable>
				</Form>
			</div>
		)
	},
	renderItems() {
		const formItems = this.props.formItems.toJS();
		return formItems.map((it, i) => {
			const TypeElement = FormElements[it.type];
			return <TypeElement key={it.id} sortData={it}/>
		})
	},
	handleSort(reorder) {
        this.props.dispatch('formItems/reorder', {
            formItems: reorder.map((it) => {
                return it;
            })
        });
	}
});

export default Previewer;