import React from 'react';
import FormElements from './FormElements';
import ReactDOM from 'react-dom';

const Stencils = React.createClass({
	render() {
		return (
			<ul className="stencils">
			    {this.renderElements()}
			</ul>
		)
	},
	renderElements() {
		const keys = Object.keys(FormElements);
		return keys.map((key, i) => {
			return (
				<li onClick={this.onClick.bind(null, key)} key={key}>
			        <i className="fa fa-header"> </i>
			        <span> {key} </span>
			    </li>
			)
		});
	},
	onClick(key, ev) {
		this.props.dispatch('formItems/add', {
			type: key
		});
	}
});

export default Stencils;