/**
 * todo reducer
 */
import {handleActions} from 'redux-actions';
import M from 'immutable';
import uuid from 'uuid';

const initialFormItems = M.List();
const formItems = handleActions({
	['formItems/add'](state, action) {
		const payload = action.payload;
		return state.push(M.fromJS({
			id: uuid(),
			type: payload.type
		}));
	},
	['formItems/delete'](state, action) {
		const id = action.id;
	},
	['formItems/reorder'](state, action) {
		return M.fromJS(action.payload.formItems);
	}
}, initialFormItems)
 

export default formItems;

